io.agora.rtc

## Enum Constants.ExternalVideoSourceType

- java.lang.Object
- - java.lang.Enum<Constants.ExternalVideoSourceType>
  - - io.agora.rtc.Constants.ExternalVideoSourceType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Constants.ExternalVideoSourceType>
  Enclosing class:
    Constants

      public static enum Constants.ExternalVideoSourceType
      extends java.lang.Enum<Constants.ExternalVideoSourceType>

  External video source types definition.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ENCODED_VIDEO_FRAME` 1: encoded video frame.
    `VIDEO_FRAME` 0: non-encoded video frame.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `value` Integer value of the external video source type

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `getValue(Constants.ExternalVideoSourceType type)` Gets the integer value of the external video source type.
    `static Constants.ExternalVideoSourceType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Constants.ExternalVideoSourceType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### VIDEO_FRAME

          public static final Constants.ExternalVideoSourceType VIDEO_FRAME

      0: non-encoded video frame.

    - #### ENCODED_VIDEO_FRAME

          public static final Constants.ExternalVideoSourceType ENCODED_VIDEO_FRAME

      1: encoded video frame.

  - ### Field Detail

    - #### value

          private int value

      Integer value of the external video source type

  - ### Method Detail

    - #### values

          public static Constants.ExternalVideoSourceType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Constants.ExternalVideoSourceType c : Constants.ExternalVideoSourceType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Constants.ExternalVideoSourceType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public static int getValue(Constants.ExternalVideoSourceType type)

      Gets the integer value of the external video source type.
      Parameters:
        `type` - External video source type
      Returns:
        The integer value